Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.bridges.jsdm
Class RIIO.RIHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          infomat.bridges.jsdm.RIIO.RIHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

Enclosing class:
  RIIO

    public class RIIO.RIHandler

extends org.xml.sax.helpers.DefaultHandler

Field Summary
`private float[]` | `_context`
`private int` | `_docfrequency`
`private boolean` | `_foundCV`
`private boolean` | `_inVocabulary`
`private java.lang.String` | `_meta_data`
`private int[]` | `_negs`
`private int[]` | `_poss`
`private long` | `_termfrequency`
`private java.lang.String` | `_word`
`boolean` | `allLowercase`
`private java.lang.StringBuffer` | `buffer`
`private IObjectSet` | `colSet`
`boolean` | `createAhead`
`int` | `dimensionality`
`boolean` | `documentLabels`
`long` | `documentsIndexed`
`private int` | `id`
`private int` | `leastDF`
`private int` | `leastTF`
`int` | `leftWindowSize`
`private IMatrix` | `matrix`
`private int` | `no_pos_and_neg`
`private boolean` | `progressIndicator`
`boolean` | `purged`
`int` | `randomDegree`
`int` | `randomSeed`
`int` | `rightWindowSize`
`private IObjectSet` | `rowSet`
`boolean` | `unaryLabels`
`java.util.Set<java.lang.String>` | `vocabulary`
`java.lang.String` | `weightingScheme`
`long` | `wordsIndexed`

Constructor Summary
`RIIO.RIHandler(IMatrix matrix, int leastTF, int leastDF)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName, org.xml.sax.Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vocabulary

    public java.util.Set<java.lang.String> vocabulary

### dimensionality

    public int dimensionality

### randomDegree

    public int randomDegree

### randomSeed

    public int randomSeed

### leftWindowSize

    public int leftWindowSize

### rightWindowSize

    public int rightWindowSize

### weightingScheme

    public java.lang.String weightingScheme

### wordsIndexed

    public long wordsIndexed

### documentsIndexed

    public long documentsIndexed

### allLowercase

    public boolean allLowercase

### unaryLabels

    public boolean unaryLabels

### documentLabels

    public boolean documentLabels

### createAhead

    public boolean createAhead

### purged

    public boolean purged

### _word

    private java.lang.String _word

### _meta_data

    private java.lang.String _meta_data

### _termfrequency

    private long _termfrequency

### _docfrequency

    private int _docfrequency

### _negs

    private int[] _negs

### _poss

    private int[] _poss

### _context

    private float[] _context

### buffer

    private java.lang.StringBuffer buffer

### progressIndicator

    private boolean progressIndicator

### _inVocabulary

    private boolean _inVocabulary

### _foundCV

    private boolean _foundCV

### no_pos_and_neg

    private int no_pos_and_neg

### matrix

    private IMatrix matrix

### colSet

    private IObjectSet colSet

### rowSet

    private IObjectSet rowSet

### leastTF

    private int leastTF

### leastDF

    private int leastDF

### id

    private int id

Constructor Detail

### RIIO.RIHandler

    public RIIO.RIHandler(IMatrix matrix,
                          int leastTF,
                          int leastDF)

Method Detail

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qualifiedName,
                             org.xml.sax.Attributes attributes)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qualifiedName)

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

### endDocument

    public void endDocument()

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endDocument` in class `org.xml.sax.helpers.DefaultHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD